# ``twisted`.`internet`.`_dumbwin32proc``

module documentation
(source)

Windows Process Management, used with reactor.spawnProcess

Class | `Process` | A process that integrates with the Twisted event loop.
Function | `debug` | Undocumented
Constant | `PIPE_ATTRS_INHERITABLE` | Undocumented
Class | `_Reaper` | Undocumented
Function | `_findShebang` | Look for a #! line, and return the value following the #! if one exists, or None if this file is not a script.
Function | `_invalidWin32App` | Determine if a pywintypes.error is telling us that the given process is 'not a valid win32 application', i.e. not a PE format executable.

def debug(msg): (source)

Undocumented

PIPE_ATTRS_INHERITABLE = (source)

Undocumented

Value

    win32security.SECURITY_ATTRIBUTES()

def _findShebang(filename): (source)

Look for a #! line, and return the value following the #! if one exists, or None if this file is not a script.

I don't know if there are any conventions for quoting in Windows shebang lines, so this doesn't support any; therefore, you may not pass any arguments to scripts invoked as filters. That's probably wrong, so if somebody knows more about the cultural expectations on Windows, please feel free to fix.

This shebang line support was added in support of the CGI tests; appropriately enough, I determined that shebang lines are culturally accepted in the Windows world through this page:

        http://www.cgi101.com/learn/connect/winxp.html

Parameters
filename | str representing a filename
Returns
a str representing another filename.

def _invalidWin32App(pywinerr): (source)
Determine if a pywintypes.error is telling us that the given process is 'not a valid win32 application', i.e. not a PE format executable.

Parameters
pywinerr | a pywintypes.error instance raised by CreateProcess
Returns
a boolean